API EndpointsContracts
Get contract by integration id
Use this endpoint to get a specific contract using its integration provider and identifier.
Authorization
BearerAuthorizer AuthorizationBearer <token>
In: header
Path Parameters
integrationType*string
integrationId*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/contracts/integration/Hubspot/string"{ "contract": { "startDate": "2019-08-24T14:15:22Z", "customerId": "string", "name": "string", "salesForceOpportunityId": "string", "endDate": "2019-08-24T14:15:22Z", "signatureDate": "2019-08-24T14:15:22Z", "products": [ { "displayName": "string", "description": "string", "scheduling": { "billingDay": 1, "duration": { "unit": "DAY", "value": 0 } }, "pricing": { "type": "ONE_TIME", "price": 0, "discount": { "name": "string", "type": "FIXED", "amount": 0, "recurring": 1 }, "isCreditPurchase": true }, "catalogProductId": "string", "productErpId": "string", "nsClass": "string", "nsClassId": "string", "externalIntegrations": [ { "provider": "Paddle", "externalId": "string" } ], "commitment": { "units": 0, "price": 0, "type": "PRICE", "scheduling": { "billingDay": 1, "duration": { "unit": "DAY", "value": 0 } }, "overageStrategy": "IGNORE" }, "paymentTerm": "Prepayment", "isCalendarAligned": true, "cloudProviderSettings": { "cloudProvider": "AWS", "cloudProviderMarketplaceId": "string", "dimension": "string" }, "consumesCreditProductIds": [ "string" ] } ], "creditGrants": [ { "name": "string", "creditProductId": "string", "balanceKind": "MONETARY", "grantAmount": 0, "price": 0, "schedule": "ONE_TIME", "expirationDate": "2019-08-24T14:15:22Z", "allowRollover": true, "applyAutomatically": true, "externalIntegrations": [ { "provider": "Paddle", "externalId": "string" } ] } ], "productGroups": [ { "displayName": "string", "description": "string", "productErpId": "string", "nsClass": "string", "nsClassId": "string", "products": [ { "displayName": "string", "description": "string", "scheduling": { "billingDay": 1, "duration": { "unit": "DAY", "value": 0 } }, "pricing": { "type": "ONE_TIME", "price": 0, "discount": { "name": "string", "type": "FIXED", "amount": 0, "recurring": 1 }, "isCreditPurchase": true }, "catalogProductId": "string", "productErpId": "string", "nsClass": "string", "nsClassId": "string", "externalIntegrations": [ { "provider": "Paddle", "externalId": "string" } ], "commitment": { "units": 0, "price": 0, "type": "PRICE", "scheduling": { "billingDay": 1, "duration": { "unit": "DAY", "value": 0 } }, "overageStrategy": "IGNORE" }, "paymentTerm": "Prepayment", "isCalendarAligned": true, "cloudProviderSettings": { "cloudProvider": "AWS", "cloudProviderMarketplaceId": "string", "dimension": "string" }, "consumesCreditProductIds": [ "string" ] } ], "baseAmount": 0, "commitment": { "units": 0, "price": 0, "type": "PRICE", "scheduling": { "billingDay": 1, "duration": { "unit": "DAY", "value": 0 } }, "overageStrategy": "IGNORE" }, "isCalendarAligned": true } ], "accountManager": "string", "shouldProRateInvoices": true, "autoRenewContract": true, "customFields": [ { "integrationSource": "NetSuite", "integrationEntityType": "Account", "fieldPath": "string", "vayuCustomFieldName": "string", "valueType": "String", "value": null } ], "customFieldValues": [ { "customFieldDefinitionId": "string", "value": "string", "fieldName": "string" } ], "status": "InReview", "purchaseOrder": "string", "currency": "USD", "isTrial": true, "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}{ "type": "invalid_request_error", "code": "string", "message": "string", "param": "string", "params": [ { "param": "string", "message": "string" } ]}{ "type": "authentication_error", "code": "authentication_failed", "message": "string"}{ "type": "invalid_request_error", "code": "resource_not_found", "message": "string"}{ "type": "rate_limit_error", "code": "rate_limit_exceeded", "message": "string"}{ "type": "api_error", "code": "internal_error", "message": "string"}Create Contract POST
Create a new Contract.
Terminate a contract POST
Use this endpoint to terminate a contract. Provide a terminationDate in the request body to schedule the termination for a specific date, or omit it to terminate the contract immediately. The contract's status is set to PendingTermination and its end date is updated accordingly.

